ruby-sinatra_1.4.7-3_all.deb


Advertisement

Description

ruby-sinatra - Ruby web-development dressed in a DSL

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name ruby-sinatra
Package version 1.4.7
Package release 3
Package architecture all
Package type deb
Installed size 399 B
Download size 293.12 KB
Official Mirror archive.ubuntu.com
Sinatra is an open source web framework for Ruby programming language.
It provides simple Domain Specific Language (DSL) for defining RESTful
HTTP actions, and then defining how the application is going to respond
to them.
This framework is lighweight and uses Rack which is a web server
interface developed to run many Ruby frameworks using the same stack.

Alternatives

Package Version Architecture Repository
ruby-sinatra_1.4.7-3_all.deb 1.4.7 all Ubuntu Universe
ruby-sinatra - - -

Requires

Name Value
ruby -
ruby-interpreter -
ruby-rack >= 1.4
ruby-rack-protection >= 1.4
ruby-rack1.4 -
ruby-tilt >= 1.3.4

Download

Type URL
Binary Package ruby-sinatra_1.4.7-3_all.deb
Source Package ruby-sinatra

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-sinatra deb package:
    # sudo apt-get install ruby-sinatra

Files

Path
/usr/lib/ruby/vendor_ruby/sinatra.rb
/usr/lib/ruby/vendor_ruby/sinatra/base.rb
/usr/lib/ruby/vendor_ruby/sinatra/ext.rb
/usr/lib/ruby/vendor_ruby/sinatra/main.rb
/usr/lib/ruby/vendor_ruby/sinatra/show_exceptions.rb
/usr/lib/ruby/vendor_ruby/sinatra/version.rb
/usr/lib/ruby/vendor_ruby/sinatra/images/404.png
/usr/lib/ruby/vendor_ruby/sinatra/images/500.png
/usr/share/doc/ruby-sinatra/README.de.md.gz
/usr/share/doc/ruby-sinatra/README.es.md.gz
/usr/share/doc/ruby-sinatra/README.fr.md.gz
/usr/share/doc/ruby-sinatra/README.hu.md.gz
/usr/share/doc/ruby-sinatra/README.ja.md.gz
/usr/share/doc/ruby-sinatra/README.ko.md.gz
/usr/share/doc/ruby-sinatra/README.md.gz
/usr/share/doc/ruby-sinatra/README.pt-br.md.gz
/usr/share/doc/ruby-sinatra/README.pt-pt.md.gz
/usr/share/doc/ruby-sinatra/README.ru.md.gz
/usr/share/doc/ruby-sinatra/README.zh.md.gz
/usr/share/doc/ruby-sinatra/changelog.Debian.gz
/usr/share/doc/ruby-sinatra/copyright
/usr/share/lintian/overrides/ruby-sinatra
/usr/share/rubygems-integration/all/specifications/sinatra-1.4.7.gemspec

Changelog

2016-03-05 - Lucas Albuquerque Medeiros de Moura <lucas.moura128@gmail.com>
ruby-sinatra (1.4.7-3) unstable; urgency=medium
* Team upload.
* Remove lintian-override from source dir:
- Override warnings were already fixed
2016-03-04 - Pirate Praveen <praveen@debian.org>
ruby-sinatra (1.4.7-2) unstable; urgency=medium
* Reupload to unstable 
2016-02-25 - Pirate Praveen <praveen@debian.org>
ruby-sinatra (1.4.7-1) experimental; urgency=medium
[ Pirate Praveen ]
* New upstream patch release
* wrap-and-sort dependencies
* Bump standards version to 3.9.7 (no changes)
* Make copyright dep5 compliant
[ Balasankar C ]
* Add patch i18n-fix.patch
- Specify available locales during testing (Closes: #808738)
* Bump debhelper compatibility
* Fix Vcs-* links to use secure protocol.
2015-04-29 - Pirate Praveen <praveen@debian.org>
ruby-sinatra (1.4.6-2) unstable; urgency=medium
* Team upload.
[ Lucas Nussbaum ]
* Remove myself from Uploaders.
[ Pirate Praveen ]
* Re-upload to unstable.
* Add ruby-minitest, ruby-rabl, ruby-slim, ruby-bluecloth to build-depends.
- now more tests are run during build.
* Ignore require-rubygems failure.
2015-04-03 - Pirate Praveen <praveen@debian.org>
ruby-sinatra (1.4.6-1) experimental; urgency=low
* Team upload.
* New upstream release.
* Bump standards version to 3.9.6 (no changes)
2014-04-11 - Jérémy Bobbio <lunar@debian.org>
ruby-sinatra (1.4.5-1) unstable; urgency=low
* Team upload.
* New upstream version: (Closes: #738387)
- Drop obsolete patch.
- Update path to Japanese documentation.
* Get more test coverage by adding several Build-Depends.
2013-12-02 - Christian Hofstaedtler <zeha@debian.org>
ruby-sinatra (1.4.3-2) unstable; urgency=low
Team upload.
* Update Standards-Version to 3.9.5 (no changes)
* Add alternative dependency on ruby-rack1.4
* Fix test failure by cherry picking upstream fix (Closes: #728633)
* Change ruby1.8 dependency to ruby
2013-08-07 - Jérémy Bobbio <lunar@debian.org>
ruby-sinatra (1.4.3-1) unstable; urgency=low
[ Jérémy Bobbio ]
* Team upload.
* New upstream version.
* Add git-buildpackage configuration.
* Adjust Depends and Build-Depends.
* Drop transitional packages now that Wheezy is stable.
* Bump Standards-Version to version 3.9.4, no changes required.
* Add missing Build-Depends on ruby-json.
* Use rake to run the test suite to avoid false negative results.
* Update paths to documentation.
[ Cédric Boutillier ]
* debian/control: remove obsolete DM-Upload-Allowed flag.
* Use canonical URI in Vcs-* fields.
2012-08-05 - Gunnar Wolf <gwolf@debian.org>
ruby-sinatra (1.3.2-2) unstable; urgency=low
* Team upload
* Add a dependency on ruby-rack-protection (Closes: #683496)
2012-06-29 - Youhei SASAKI <uwabami@gfd-dennou.org>
ruby-sinatra (1.3.2-1) unstable; urgency=low
* New upstream version:1.3.2
* Bump Standard Version: 3.9.3
* Change transitional package priority to extra
* Add lintian-overrides for transitional packages
* Add rack-test-protection into Build-Depends

See Also

Package Description
ruby-sinon-rails_1.9.0-1_all.deb provides sinon.js via asset pipeline for rails apps
ruby-six_0.2.0-3_all.deb very simple authorization library for Ruby
ruby-slack-notifier_1.2.1-1_all.deb Ruby wrapper for posting to slack webhooks
ruby-slim_3.0.6-1_all.deb powerful (X)HTML templating engine with an elegant syntax
ruby-slop_4.2.0-1_all.deb Simple DSL for gathering options and parsing the command lineOption
ruby-snmp_1.2.0-1_all.deb simple network management protocol bindings for ruby
ruby-soap4r_2.0.5-3build1_all.deb SOAP library for the Ruby programming language
ruby-solve_2.0.2-1_all.deb Ruby version constraint solver implementing semantic versioning
ruby-source-map_3.0.1+git.20120229.bda06a3f-1_all.deb ruby support for source maps in javascripts
ruby-specinfra_2.35.1-1_all.deb Common layer for serverspec and configspec
ruby-spider_0.4.4-2_all.deb web spidering library for Ruby
ruby-spoon_0.0.4-2_all.deb FFI binding of the posix_spawn function for Ruby
ruby-spreadsheet_1.0.0-1_all.deb Ruby library for manipulating MS Excel (.xls) spreadsheets
ruby-spring_1.3.6-2_all.deb Rails application preloader
ruby-sprite-factory_1.7.1-2_all.deb automatic css sprite generator
Advertisement
Advertisement